---
updatedAt: 2026-04-07T10:14:29.000Z
agentTools:
  siteIndex: https://developers.liveramp.com/llms.txt
  projectIndex: https://developers.liveramp.com/rampid-api/llms.txt
---

# API Roles

If you are enabled for multiple identity APIs (for example, the [Abilitec API](https://developers.liveramp.com/abilitec-api) and the [Retrieval API](https://developers.liveramp.com/rampid-api/reference/about-liveramp-identity-resolution), or the Retrieval API and the [Translation API](https://developers.liveramp.com/rampid-api/reference/transcode-rampids-1)), you need to specify which API you're using on each call.

The following table lists the permissions included in each role.

| Role                   | Permissions                                                                                    |
| :--------------------- | :--------------------------------------------------------------------------------------------- |
| `abilitec-standard`    | Call `/match` or `/lookup` to retrieve AbiliTec links                                          |
| `envelope-decryption`  | Call `/lookup/envelope` to decrypt envelopes                                                   |
| `rampid-retrieval`     | Call `/match` or `/lookup` to retrieve RampIDs                                                 |
| `abilitec-transcoding` | Call `/lookup/abilitec` or `/document` to retrieve a translated document ID or AbiliTec link   |
| `rampid-transcoding`   | Call `/lookup/anonymousAbilitec `or `/document` to retrieve a translated document ID or RampID |

# Example Call with Roles

<br />

```curl
TOKEN=$(curl -s -X POST  
-H 'Accept: application/json'  
-H 'Content-Type: application/x-www-form-urlencoded'  
-u "{client-id here}:{client-secret here}"  
-d "grant_type=client_credentials"  
<https://us.am-staging.identity.api.liveramp.com/token> | jq -r '.access_token');  
curl -X POST -H 'Accept: application/json'  
-H 'Content-Type: application/json'  
-H "Authorization: Bearer ${TOKEN}"  
--data '["/people/match?name=tester", "/people/match?name=otherTester"]'  
<https://us.am.identity.api.liveramp.com/batch?role=rampid-retrieval>
```